#pragma once

#include "IAudioInterface.h"
#include "AudioDevice.h"

#include <memory>

class NullAudioInterface : public IAudioInterface
{

public:
    NullAudioInterface();

    ~NullAudioInterface();

    static std::unique_ptr<NullAudioInterface> Create();

    void openDevice(AudioDevice* device) override;

    void play(AudioDevice* device, AudioSample* sample, unsigned duration) override;
};

using NullAudioInterfacePtr = std::shared_ptr<NullAudioInterface>;
